package intrinsic.flash.events;

public class TextEvent extends intrinsic.flash.events.Event {

	/** Accessors */
	public String text;

	/** Variables */

	/** Constants */
	public static final String TEXT_INPUT = "text_input";
	public static final String LINK = "link";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public TextEvent() {
}

public TextEvent(String arg0) {
}

public TextEvent(String arg0, boolean arg1) {
}

public TextEvent(String arg0, boolean arg1, boolean arg2) {
}

public TextEvent(String arg0, boolean arg1, boolean arg2, String arg3) {
}


/** Static Methods */

/** Methods */
public native String toString();
public native Object clone();

}
